int http_post_xml(char *verb, char *url, char *username, char *password, char *xmlbody, char *response);
int http_post_any(char *verb, char *url, char *username, char *password, char *xmlbody, char *response, int rbf, char *content, int *rlen, char *nonce, char *location, char *retry);
int http_upload(char *xurl, char *fname, Pair *params, char *reason, char *response, int rbfsz);


